using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper8.GS.SiminnRadiomidun
{
	internal class SiminnRadiomidunSubTsIdentifier
	{
		public byte Mis { get; }

		public SiminnRadiomidunSubTsIdentifier(byte misId)
		{
			Mis = misId;
		}

		protected bool Equals(SiminnRadiomidunSubTsIdentifier other)
		{
			return Mis == other.Mis;
		}

		public override bool Equals(object? obj)
		{
			if (ReferenceEquals(null, obj)) 
				return false;
			if (ReferenceEquals(this, obj)) 
				return true;
			if (obj.GetType() != this.GetType()) 
				return false;
			return Equals((SiminnRadiomidunSubTsIdentifier)obj);
		}

		public override int GetHashCode()
		{
			return Mis.GetHashCode();
		}

		public override string ToString()
		{
			return $"{nameof(Mis)}{Mis}";
		}
	}
}
